Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.uddi4j.datatype.binding
Class InstanceDetails

    java.lang.Object
      org.uddi4j.UDDIElement
          org.uddi4j.datatype.binding.InstanceDetails

All Implemented Interfaces:
  java.io.Serializable

public class InstanceDetails
extends UDDIElement

Represents the instanceDetails element within the UDDI version 2.0 schema. This class contains the following types of methods:

- Constructor passing required fields.
- Constructor that will instantiate the object from an appropriate XML DOM element.
- Get/set methods for each attribute that this element can contain.
- A get/setVector method is provided for sets of attributes.
- SaveToXML method. Serializes this class within a passed in element.

Typically, this class is used to construct parameters for, or interpret responses from, methods in the UDDIProxy class.

Element description:

Support element used to contain optional information about the way an instance of a web service is implemented, or varies from the general specifications outlined in a specific tModel.

Author:
  David Melgar (dmelgar@us.ibm.com)
See Also:
  Serialized Form

Field Summary
`protected org.w3c.dom.Element` | `base`
`static java.lang.String` | `UDDI_TAG`

Fields inherited from class org.uddi4j.UDDIElement
`GENERIC, SOAPNS, XMLNS, XMLNS_PREFIX`

Constructor Summary
`InstanceDetails()` Default constructor.
`InstanceDetails(org.w3c.dom.Element base)` Construct the object from a DOM tree.

Method Summary
`java.lang.String` | `getDefaultDescriptionString()` Get default description string.
`java.util.Vector` | `getDescriptionVector()` Get description.
`InstanceParms` | `getInstanceParms()`
`OverviewDoc` | `getOverviewDoc()`
`void` | `saveToXML(org.w3c.dom.Element parent)` Save object to DOM tree.
`void` | `setDefaultDescriptionString(java.lang.String s)` Set default (english) description string.
`void` | `setDescriptionVector(java.util.Vector s)` Set description vector.
`void` | `setInstanceParms(InstanceParms s)`
`void` | `setOverviewDoc(OverviewDoc s)`

Methods inherited from class org.uddi4j.UDDIElement
`getChildElementsByTagName, getText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UDDI_TAG

    public static final java.lang.String UDDI_TAG

See Also:
  Constant Field Values

### base

    protected org.w3c.dom.Element base

Constructor Detail

### InstanceDetails

    public InstanceDetails()

  Default constructor. Avoid using the default constructor for validation. It does not validate required fields. Instead, use the required fields constructor to perform validation.

### InstanceDetails

    public InstanceDetails(org.w3c.dom.Element base)
                    throws UDDIException

  Construct the object from a DOM tree. Used by UDDIProxy to construct object from received UDDI message.

Parameters:
  `base` - Element with name appropriate for this class.
Throws:
  `UDDIException` - Thrown if DOM tree contains a SOAP fault or disposition report indicating a UDDI error.

Method Detail

### setOverviewDoc

    public void setOverviewDoc(OverviewDoc s)

### setInstanceParms

    public void setInstanceParms(InstanceParms s)

### setDescriptionVector

    public void setDescriptionVector(java.util.Vector s)

  Set description vector.

  Parameters:
    `s` - Vector of Description objects.

### setDefaultDescriptionString

    public void setDefaultDescriptionString(java.lang.String s)

  Set default (english) description string.

  Parameters:
    `s` - String

### getOverviewDoc

    public OverviewDoc getOverviewDoc()

### getInstanceParms

    public InstanceParms getInstanceParms()

### getDescriptionVector

    public java.util.Vector getDescriptionVector()

  Get description.

  Returns:
    s Vector of Description objects.

### getDefaultDescriptionString

    public java.lang.String getDefaultDescriptionString()

  Get default description string.

  Returns:
    s String

### saveToXML

    public void saveToXML(org.w3c.dom.Element parent)

  Save object to DOM tree. Used to serialize object to a DOM tree, usually to send a UDDI message.
  Used by UDDIProxy.

  Specified by:
    `saveToXML` in class `UDDIElement`
  Parameters:
    `parent` - Object will serialize as a child element under the passed in parent element.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 International Business Machines Corporation, Hewlett-Packard Company. All Rights Reserved.